Skip to content

Export Document Versions

Export a specific set of document versions to your Vault's file staging. The files you export go to the u{userID} folder, regardless of your security profile. You can export a maximum of 10,000 document versions (source files) per request.

POST/api/{version}/objects/documents/versions/batch/actions/fileextract
NameDescription
Content-Typeapplication/json
Acceptapplication/json (default) or application/xml

Prepare a JSON input file with the following body parameters for each document version you wish to export:

NameDescription
id
required
ID of the document to export.
major_version_number__v
required
The major version number of the document to export.
minor_version_number__v
required
The minor version number of the document to export.
NameDescription
sourceTo exclude source files, include a query parameter source=false. If omitted, defaults to true.
renditionsTo include renditions, include a query parameter renditions=true. If omitted, defaults to false.
textTo include source document text, include a query parameter text=true. If omitted, defaults to false.
curl -X POST -H "Authorization: {SESSION_ID}" \
-H "Content-Type: application/json" \
-H "Accept: application/json" \
--data-raw '[
    {
        "id": "58",
        "major_version_number__v": "0",
        "minor_version_number__v": "1"
    }, 
    {
        "id":"134",
        "major_version_number__v": "0",
        "minor_version_number__v": "2"
    },
    {
        "id":"122",
        "major_version_number__v": "0",
        "minor_version_number__v": "2"
    }
]' \
https://myvault.veevavault.com/api/v26.1/objects/documents/versions/batch/actions/fileextract
{
    "responseStatus": "SUCCESS",
    "url": "/api/v26.1/services/jobs/40604",
    "job_id": "40604"
}

On SUCCESS, this operation exports the specified set of document versions to your Vault’s file staging. When exporting source document text, the source document text files appear as "text_file.txt" within their respective document version folders. The response includes the following information:

Field NameDescription
urlURL to retrieve the current status of the document export job.
job_idThe Job ID value of the document export request.